Bug 1316862 - [GSS] (6.2.z) Rules are not firing as expected in BusinessRulesTask
[GSS] (6.2.z) Rules are not firing as expected in BusinessRulesTask
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
Unspecified Unspecified
urgent Severity high
: CR1
: 6.2.3
Assigned To: Mario Fusco
Ivo Bek
Depends On: 1316860
Blocks: 1316867 1327763 1327765
  Show dependency treegraph
Reported: 2016-03-11 05:30 EST by Martin Weiler
Modified: 2016-05-04 06:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1316867 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Weiler 2016-03-11 05:30:39 EST
BZ to request inclusion of this fix in next possible BPMS 6.2.x roll-up patch.

Description of problem:
Platform issue for https://issues.jboss.org/browse/DROOLS-1089

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a process with multiple BusinessRulesTask
2. Create related rules where the LHS constraint evaluates the existence of an object (eg. $p : Person())
3. Objects are passed into the BusinessRulesTask using the Input/Output mapping

Actual results:
Some rules are not fired

Expected results:
All rules are fired

Additional info:
Comment 2 Mario Fusco 2016-04-18 03:23:06 EDT
Cherry-picked to 6.3.x branch with https://github.com/droolsjbpm/drools/commit/eaecc1b76
Comment 3 Ivo Bek 2016-05-04 06:50:38 EDT
Verified in BPM Suite 6.2.3.CR1

testMultipleBusinessRuleTaskWithDataInputsWithPersistence passes (6.3.0.Final-redhat-10)

Note You need to log in before you can comment on or make changes to this bug.